#!/bin/bash

DIR=$(cd "$( dirname "$0" )" && pwd)

if [ -n "$1" -a -n "$2" ]; then
    cat "$DIR/extract.sh" "$1" > "$2"
    chmod +x "$2"

    exit 0
fi

pushd . > /dev/null
cd "$DIR"

BUILD=$(ls ../../../target/*linux*)

for build in $BUILD
do
    fileName=`echo $build | sed s/\.tar\.gz/-installer/`
    cat "$DIR/extract.sh" $build > "$fileName".sh
    chmod +x "$fileName".sh
done

popd